### Function

# PangoCairo show_error_underline

since: 1.14

#### Declaration [src]

    void
    pango_cairo_show_error_underline (
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Draw a squiggly line in the specified cairo context that approximately covers the given rectangle in the style of an underline used to indicate a spelling error.

The width of the underline is rounded to an integer number of up/down segments and the resulting rectangle is centered in the original rectangle.

Available since: 1.14

#### Parameters

`cr`

  Type: `cairo_t`

  A Cairo context.

  The data is owned by the caller of the function.

`x`

  Type: `double`

  The X coordinate of one corner of the rectangle.

`y`

  Type: `double`

  The Y coordinate of one corner of the rectangle.

`width`

  Type: `double`

  Non-negative width of the rectangle.

`height`

  Type: `double`

  Non-negative height of the rectangle.